#ifndef GFXFONT_H
#define GFXFONT_H

#include "bitmap.h"
#include "fontstruct.h"
#include "gfxcore.h"

extern Font *GFX_LoadFont(char *fn);
extern void  GFX_FreeFont(Font *font);

struct Graphics;  // forward declaration
extern int   GFX_Print   (Graphics *gfx, char *string);
extern int   GFX_PrintAt (Graphics *gfx, int x, int y, char *string);
extern int   GFX_Printf  (Graphics *gfx, char *format, ...);
extern int   GFX_PrintfAt(Graphics *gfx, int x, int y, char *format, ...);

extern int   GFX_TextWidth(Graphics *gfx, char *string);

#endif
